Debian Bug report logs - #560594
Does not work with locale de_AT.UTF-8 because of libgcj10 error.

version graph

Package: pdftk; Maintainer for pdftk is Johann Felix Soden <johfel@debian.org>; Source for pdftk is src:pdftk.

Reported by: Johannes Fichtinger <horuljo@yahoo.de>

Date: Fri, 11 Dec 2009 11:27:01 UTC

Severity: grave

Tags: confirmed

Found in version pdftk/1.41+dfsg-5

Fixed in version pdftk/1.41+dfsg-6

Done: Johann Felix Soden <johfel@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, horuljo@yahoo.de, Johann Felix Soden <johfel@gmx.de>:
Bug#560594; Package pdftk. (Fri, 11 Dec 2009 11:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Fichtinger <horuljo@yahoo.de>:
New Bug report received and forwarded. Copy sent to horuljo@yahoo.de, Johann Felix Soden <johfel@gmx.de>. (Fri, 11 Dec 2009 11:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Fichtinger <horuljo@yahoo.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pdftk: Version 1.41+dfsg-5 gives error: java.lang.ArrayIndexOutOfBoundsException: 11
Date: Fri, 11 Dec 2009 12:24:07 +0100
Package: pdftk
Version: 1.41+dfsg-5
Severity: grave
Justification: renders package unusable

Hi,

after updating the new version of pdftk to 1.41+dfsg-5, pdftk brakes with error 
Unhandled JavaException:  
java.lang.ArrayIndexOutOfBoundsException: 11
   at java.text.SimpleDateFormat.formatWithAttribute(libgcj.so.10) 
   at java.text.SimpleDateFormat.format(libgcj.so.10)
   at java.text.DateFormat.format(libgcj.so.10)
   at com.lowagie.text.Document.addCreationDate(itext-2.1.7.jar.so)
   at com.lowagie.text.pdf.PdfDocument.<init>(itext-2.1.7.jar.so)
   at com.lowagie.text.pdf.PdfCopy.<init>(itext-2.1.7.jar.so)

Thanks and best greetings,
Johannes


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pdftk depends on:
ii  libbcmail-java               1.44+dfsg-1 Bouncy Castle generators/processor
ii  libbcprov-java               1.44+dfsg-1 Bouncy Castle Java Cryptographic S
ii  libc6                        2.10.2-2    GNU C Library: Shared libraries
ii  libgcc1                      1:4.4.2-4   GCC support library
ii  libgcj-bc                    4.4.2-2     Link time only library for use wit
ii  libgcj10                     4.4.2-4     Java runtime library for use with 
ii  libitext-java                2.1.7-1     Java Library to create and manipul
ii  libitext-java-gcj            2.1.7-1     Java Library to create and manipul
ii  libstdc++6                   4.4.2-4     The GNU Standard C++ Library v3

pdftk recommends no packages.

Versions of packages pdftk suggests:
ii  poppler-utils [xpdf-utils]    0.12.2-2   PDF utilitites (based on libpopple

-- no debconf information




Added tag(s) confirmed. Request was from Johann Felix Soden <johfel@gmx.de> to control@bugs.debian.org. (Sat, 12 Dec 2009 14:39:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'Does not work with locale de_AT.UTF-8 because of libgcj10 error.' from 'pdftk: Version 1.41+dfsg-5 gives error: java.lang.ArrayIndexOutOfBoundsException: 11' Request was from Johann Felix Soden <johfel@gmx.de> to control@bugs.debian.org. (Sat, 12 Dec 2009 14:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#560594; Package pdftk. (Sat, 12 Dec 2009 14:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johann Felix Soden <johfel@gmx.de>:
Extra info received and forwarded to list. (Sat, 12 Dec 2009 14:54:09 GMT) Full text and rfc822 format available.

Message #14 received at 560594@bugs.debian.org (full text, mbox):

From: Johann Felix Soden <johfel@gmx.de>
To: Johannes Fichtinger <horuljo@yahoo.de>, 560594@bugs.debian.org
Subject: Re: Bug#560594: pdftk: Version 1.41+dfsg-5 gives error: java.lang.ArrayIndexOutOfBoundsException: 11
Date: Sat, 12 Dec 2009 15:51:37 +0100
Hi Johannes,

thank you very much for the report. 

After long trying, I can reproduce the bug now. 
The bug occurs only with locale de_AT.UTF-8.
Maybe other locales are affected, too.
With locales de_DE.UTF-8 or C, I found no problems.

The error seems not to be in pdftk itself but in the java library
libgcj10.

To circumvent the bug, you can switch the locale for pdftk, e.g.
  LANG=C pdftk someinputfile.pdf cat output theoutputfile.pdf 

Can you try something like this and inform me if it works?

Best wishes
 Johann Felix Soden






Information forwarded to debian-bugs-dist@lists.debian.org, Johann Felix Soden <johfel@gmx.de>:
Bug#560594; Package pdftk. (Sun, 13 Dec 2009 00:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Fichtinger <jf@fichtinger.org>:
Extra info received and forwarded to list. Copy sent to Johann Felix Soden <johfel@gmx.de>. (Sun, 13 Dec 2009 00:09:05 GMT) Full text and rfc822 format available.

Message #19 received at 560594@bugs.debian.org (full text, mbox):

From: Johannes Fichtinger <jf@fichtinger.org>
To: 560594@bugs.debian.org
Subject: Re: Does not work with locale de_AT.UTF-8 because of libgcj10 error.
Date: Sun, 13 Dec 2009 01:02:26 +0100
Hallo Johann Felix,

I can confirm, setting LANG=C makes pdftk work fine here, too. So it really 
seems related to the LANG evironment.

Thanks for your good work!

Johannes




Reply sent to Johann Felix Soden <johfel@gmx.de>:
You have taken responsibility. (Sun, 13 Dec 2009 17:06:10 GMT) Full text and rfc822 format available.

Notification sent to Johannes Fichtinger <horuljo@yahoo.de>:
Bug acknowledged by developer. (Sun, 13 Dec 2009 17:06:10 GMT) Full text and rfc822 format available.

Message #24 received at 560594-close@bugs.debian.org (full text, mbox):

From: Johann Felix Soden <johfel@gmx.de>
To: 560594-close@bugs.debian.org
Subject: Bug#560594: fixed in pdftk 1.41+dfsg-6
Date: Sun, 13 Dec 2009 17:04:10 +0000
Source: pdftk
Source-Version: 1.41+dfsg-6

We believe that the bug you reported is fixed in the latest version of
pdftk, which is due to be installed in the Debian FTP archive:

pdftk_1.41+dfsg-6.debian.tar.gz
  to main/p/pdftk/pdftk_1.41+dfsg-6.debian.tar.gz
pdftk_1.41+dfsg-6.dsc
  to main/p/pdftk/pdftk_1.41+dfsg-6.dsc
pdftk_1.41+dfsg-6_i386.deb
  to main/p/pdftk/pdftk_1.41+dfsg-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 560594@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Johann Felix Soden <johfel@gmx.de> (supplier of updated pdftk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 13 Dec 2009 17:41:56 +0100
Source: pdftk
Binary: pdftk
Architecture: source i386
Version: 1.41+dfsg-6
Distribution: unstable
Urgency: low
Maintainer: Johann Felix Soden <johfel@gmx.de>
Changed-By: Johann Felix Soden <johfel@gmx.de>
Description: 
 pdftk      - tool for manipulating PDF documents
Closes: 560594
Changes: 
 pdftk (1.41+dfsg-6) unstable; urgency=low
 .
   * Add patch to circumvent libgcj10 exception with de_AT.UTF-8 locale.
     (Closes: #560594)
   * Conform patch descriptions to DEP3.
   * debian/rules: fail with error message if itext-*.so is missing.
Checksums-Sha1: 
 50df09423e199b0229394b00fa318d4fd25b6e9b 1874 pdftk_1.41+dfsg-6.dsc
 18d682ad6d09654a6be1aed1834971a64b8924c5 28107 pdftk_1.41+dfsg-6.debian.tar.gz
 e3fbc25f31f6833996d3472572d1cf756d7d1b48 84682 pdftk_1.41+dfsg-6_i386.deb
Checksums-Sha256: 
 2b895478f8b5157a1f374448cc42ff0d398fe6363472934839dabf7d2bf729dd 1874 pdftk_1.41+dfsg-6.dsc
 589aea759279a06ec711bf843c78fd8a9aedb6fad8da81ac2c6810bf8e0a2bc1 28107 pdftk_1.41+dfsg-6.debian.tar.gz
 66f8c13a069ac5f535136dee5d3fe1421d04b5b72d26fbf3324fe454c1ccf9f9 84682 pdftk_1.41+dfsg-6_i386.deb
Files: 
 13861d4106222a49bb4481c45e0c8153 1874 text optional pdftk_1.41+dfsg-6.dsc
 a3c524ca7c0c1cd84cc16bdcd334fa97 28107 text optional pdftk_1.41+dfsg-6.debian.tar.gz
 e5b9d7f109781c68df886f73d45ab8ed 84682 text optional pdftk_1.41+dfsg-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJLJRuRAAoJEINZGTv9ywnES2oQANpLYUfH6vUQXlSFLpBgORjj
VJNSUw/TX+PXxSFw6OgwcmCQH0okwKPyKE2Dkvru9hOSgf9/s+JsFoZBU+L4Isin
wlLU+mIawsv18DVCNM3Gu545rZFNLQQxzHzvTR9MweQxW716s0nCi4Pd+DRZBUC1
4DdhZNpQNzO/AOovaUMt//WmTeEjpi1U0B15ikOsts6BD15mVvg2jpY3GbmNYrdi
ZjqPlkZldFH4rApwny38tjOYjGdRWGw+mR1W7NKLsAuzLJwqt3etfONgpKIEngQi
XZJDB+NAHxL4iU7STgTpcB03ZfIKtPwkCAhqGHF4OSKNUH4yhEpCVbVb107sr6Tl
Ah89GN6D9OVJWHNakTtYwO3va1j/H0EKlQ02fp8yi2L7ch0yNxSoT2clLYZI5Oko
i+3YWyjumfZuG8Zw2IctGNvaR9E/U93mBQYYm9NrD7TUIfjBdXmpt37hpAseSK9M
cfovziJkcLr0QkXBxWyhgv3rdxsLL5AI24GH9S1cXv7EkHCxvFgamG+qwInBLbQ9
R7qbu/sSSTprHIH3mTGdG8qVadX5k0Bro3JkU1ke5Wf5+sjYYYADJ0Qye+QO70P5
gxTbdTtoNFCcEpitf38nhBYT6YyRhCdIJ/V5VwQGBjzGiiTS7cqqHh8Z13W4apy3
KrhmV4zNUoU1BqUDF0Wt
=24VP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jan 2010 07:47:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:13:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.